Bug 973127 - [abrt] ibus-anthy-1.5.3-1.fc18: anthy_xstrcmp: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] ibus-anthy-1.5.3-1.fc18: anthy_xstrcmp: Process /usr/bin/python2.7 was...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anthy (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
abrt_hash:e3e1cfb1d18a486ffcba4e97220...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-11 06:45 EDT by Francois Cartegnie
Modified: 2013-06-29 14:32 EDT (History)
4 users (show)

See Also:
Fixed In Version: anthy-9100h-23.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-26 22:06:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (59.20 KB, text/plain)
2013-06-11 06:45 EDT, Francois Cartegnie
no flags Details
File: cgroup (131 bytes, text/plain)
2013-06-11 06:45 EDT, Francois Cartegnie
no flags Details
File: core_backtrace (6.10 KB, text/plain)
2013-06-11 06:45 EDT, Francois Cartegnie
no flags Details
File: dso_list (11.25 KB, text/plain)
2013-06-11 06:45 EDT, Francois Cartegnie
no flags Details
File: environ (1.16 KB, text/plain)
2013-06-11 06:46 EDT, Francois Cartegnie
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-11 06:46 EDT, Francois Cartegnie
no flags Details
File: maps (44.52 KB, text/plain)
2013-06-11 06:46 EDT, Francois Cartegnie
no flags Details
File: open_fds (908 bytes, text/plain)
2013-06-11 06:46 EDT, Francois Cartegnie
no flags Details
File: proc_pid_status (942 bytes, text/plain)
2013-06-11 06:46 EDT, Francois Cartegnie
no flags Details

  None (edit)
Description Francois Cartegnie 2013-06-11 06:45:33 EDT
Description of problem:
Entering suggestions for かんじ with ibus-Anthy in Thunderbird.
Crashes with some other ex: にほん

Version-Release number of selected component:
ibus-anthy-1.5.3-1.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/share/ibus-anthy/engine/main.py --ibus
crash_function: anthy_xstrcmp
executable:     /usr/bin/python2.7
kernel:         3.9.4-200.fc18.x86_64
runlevel:       N 5
uid:            1000
var_log_messages: Jun 11 12:37:36 x2 abrt[5566]: Saved core dump of pid 5538 (/usr/bin/python2.7) to /var/tmp/abrt/ccpp-2013-06-11-12:37:36-5538 (29859840 bytes)
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 anthy_xstrcmp at xstr.c:387
 #1 reorder_by_suffix at candhistory.c:184
 #2 anthy_reorder_candidates_by_history at candhistory.c:206
 #3 apply_learning at candsort.c:238
 #4 anthy_sort_candidate at candsort.c:264
 #5 make_candidates at context.c:349
 #6 anthy_do_context_set_str at context.c:366
 #7 anthy_set_string at main.c:230
 #8 ffi_call_unix64 at ../src/x86/unix64.S:75
 #9 ffi_call at ../src/x86/ffi64.c:486

Potential duplicate: bug 753655
Comment 1 Francois Cartegnie 2013-06-11 06:45:37 EDT
Created attachment 759549 [details]
File: backtrace
Comment 2 Francois Cartegnie 2013-06-11 06:45:46 EDT
Created attachment 759550 [details]
File: cgroup
Comment 3 Francois Cartegnie 2013-06-11 06:45:50 EDT
Created attachment 759551 [details]
File: core_backtrace
Comment 4 Francois Cartegnie 2013-06-11 06:45:55 EDT
Created attachment 759552 [details]
File: dso_list
Comment 5 Francois Cartegnie 2013-06-11 06:46:04 EDT
Created attachment 759553 [details]
File: environ
Comment 6 Francois Cartegnie 2013-06-11 06:46:10 EDT
Created attachment 759554 [details]
File: limits
Comment 7 Francois Cartegnie 2013-06-11 06:46:16 EDT
Created attachment 759555 [details]
File: maps
Comment 8 Francois Cartegnie 2013-06-11 06:46:22 EDT
Created attachment 759556 [details]
File: open_fds
Comment 9 Francois Cartegnie 2013-06-11 06:46:26 EDT
Created attachment 759557 [details]
File: proc_pid_status
Comment 10 Francois Cartegnie 2013-06-11 06:51:18 EDT
Related to ~/.anthy content.

Deleted it then no longer crashes.
Comment 11 Fedora Update System 2013-06-17 21:54:35 EDT
anthy-9100h-23.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/anthy-9100h-23.fc19
Comment 12 Fedora Update System 2013-06-17 21:55:33 EDT
anthy-9100h-23.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anthy-9100h-23.fc18
Comment 13 Fedora Update System 2013-06-17 21:56:45 EDT
anthy-9100h-23.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/anthy-9100h-23.fc17
Comment 14 Fedora Update System 2013-06-18 15:43:07 EDT
Package anthy-9100h-23.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anthy-9100h-23.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11187/anthy-9100h-23.fc19
then log in and leave karma (feedback).
Comment 15 Fedora Update System 2013-06-26 22:06:24 EDT
anthy-9100h-23.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2013-06-26 22:06:44 EDT
anthy-9100h-23.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2013-06-29 14:32:25 EDT
anthy-9100h-23.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.